public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: gnome-extra/cinnamon-settings-daemon/files/, ...
@ 2016-06-25 16:53 Pacho Ramos
  0 siblings, 0 replies; 5+ messages in thread
From: Pacho Ramos @ 2016-06-25 16:53 UTC (permalink / raw
  To: gentoo-commits

commit:     7eb357e5a42ea85e176d10f6a2087b26b09153ed
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 25 15:49:29 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jun 25 16:26:34 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7eb357e5

gnome-extra/cinnamon-settings-daemon: Version bump

Package-Manager: portage-2.3.0_rc1

 gnome-extra/cinnamon-settings-daemon/Manifest      |  1 +
 .../cinnamon-settings-daemon-3.0.1.ebuild          | 89 ++++++++++++++++++++++
 .../cinnamon-settings-daemon-3.0.1-optional.patch  | 84 ++++++++++++++++++++
 3 files changed, 174 insertions(+)

diff --git a/gnome-extra/cinnamon-settings-daemon/Manifest b/gnome-extra/cinnamon-settings-daemon/Manifest
index c2e5758..5139189 100644
--- a/gnome-extra/cinnamon-settings-daemon/Manifest
+++ b/gnome-extra/cinnamon-settings-daemon/Manifest
@@ -1,2 +1,3 @@
 DIST cinnamon-settings-daemon-2.8.3.tar.gz 2935149 SHA256 bc04333674ee10886b6c2644bd74c21ce6d3f6f1e005ebce63693cb14bb1a298 SHA512 a66ab0943f4a370fb203ba73dfa9f938ab2fc418c7876b7a048fc438ed8eaef3f5f7789ce86c0c2039ed61473c1b3fb9c60205571140291448854c03cba36f76 WHIRLPOOL 93ecc021ffa76a493d65fcd001253da6ebbd2c8f92be716f4d0de0df53867fb24177a6f31027611586e965d1e378a8b53662dd3c5a73df026d13d3a7fd5ae080
 DIST cinnamon-settings-daemon-2.8.4.tar.gz 2935478 SHA256 2f7e8764a842d9b4f21c1e6d5321e4101720f1600462b5452d14a061b608c584 SHA512 fab449efdfe4f12d17d61299b9c264d0bd70d88811406da68eab48943dbcd75ef3a87551eba653660efc4006c45f7eaa59d9ac3616a6da6808d35e59dd0a6d7f WHIRLPOOL bcdd93d53352d649f81a43730f4116508ad24379ba5e5c46a1dc9b867a653b9172b50b78b06450159f4e785bab8e2a604f172d2553dd949d693c358695ba4f17
+DIST cinnamon-settings-daemon-3.0.1.tar.gz 2912459 SHA256 0abe839e04a36a052bb486f90e84c25ae6ccc92b74223813d9666eaac257677b SHA512 848f1bc38e84edf9a8af48e55b7581881fbc9920dce9a4fc38627456dea7cbfe330bebba4bb46d1c231dd85bd3445d365b5e415485ac202e72335fe337a800e8 WHIRLPOOL 91b5b0455c2dcde8868eb8e1adf52229e3dd94fb4c4842d537b89e1c72cd8f8f54af854765c62eb382015b8f3299400f21a9034974440ce9b7d305be4ffb82fb

diff --git a/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-3.0.1.ebuild b/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-3.0.1.ebuild
new file mode 100644
index 0000000..f87a78d
--- /dev/null
+++ b/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-3.0.1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2 virtualx
+
+DESCRIPTION="Cinnamon's settings daemon"
+HOMEPAGE="http://cinnamon.linuxmint.com/"
+SRC_URI="https://github.com/linuxmint/cinnamon-settings-daemon/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+colord cups input_devices_wacom smartcard systemd"
+
+# udev is non-optional since lots of plugins, not just gudev, pull it in
+RDEPEND="
+	>=dev-libs/glib-2.38:2
+	>=gnome-base/libgnomekbd-3.6
+	>=gnome-base/librsvg-2.36.2
+	>=gnome-extra/cinnamon-desktop-2.8.0:0=
+	media-libs/fontconfig
+	>=media-libs/lcms-2.2:2
+	media-libs/libcanberra:0=[gtk3]
+	sys-apps/dbus
+	>=sys-auth/polkit-0.97
+	x11-libs/gdk-pixbuf:2
+	>=x11-libs/gtk+-3.9.10:3
+	>=x11-libs/libnotify-0.7.3:0=
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXi
+	x11-libs/libxklavier
+	virtual/libgudev:=
+
+	colord? ( >=x11-misc/colord-0.1.27:= )
+	cups? ( >=net-print/cups-1.4[dbus] )
+	input_devices_wacom? (
+		>=dev-libs/libwacom-0.7
+		x11-drivers/xf86-input-wacom
+		x11-libs/libXtst )
+	smartcard? ( >=dev-libs/nss-3.11.2 )
+	systemd? (
+		sys-apps/systemd:0=
+		>=sys-power/upower-0.9.11:= )
+	!systemd? (
+		sys-auth/consolekit:0=
+		|| ( >=sys-power/upower-0.9.11 sys-power/upower-pm-utils ) )
+"
+DEPEND="${RDEPEND}
+	dev-libs/libxml2:2
+	>=dev-util/intltool-0.37.1
+	x11-proto/kbproto
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	# make colord and wacom optional
+	eapply "${FILESDIR}"/${PN}-3.0.1-optional.patch
+
+	# Disable broken test
+	sed -e '/g_test_add_func ("\/color\/edid/d' \
+		-i plugins/color/gcm-self-test.c || die
+
+	eautoreconf
+	gnome2_src_prepare
+}
+
+src_configure() {
+	# no point in disabling gudev since other plugins pull it in
+	gnome2_src_configure \
+		--disable-static \
+		--enable-gudev \
+		--enable-man \
+		--enable-polkit \
+		$(use_enable colord color) \
+		$(use_enable cups) \
+		$(use_enable smartcard smartcard-support) \
+		$(use_enable systemd logind) \
+		$(use_enable input_devices_wacom wacom)
+}
+
+src_test() {
+	virtx emake check
+}

diff --git a/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-3.0.1-optional.patch b/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-3.0.1-optional.patch
new file mode 100644
index 0000000..c12d763
--- /dev/null
+++ b/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-3.0.1-optional.patch
@@ -0,0 +1,84 @@
+--- a/configure.ac~	2016-05-10 17:30:40.000000000 +0200
++++ b/configure.ac	2016-06-25 17:43:46.554279197 +0200
+@@ -259,14 +259,28 @@
+ dnl - color
+ dnl ---------------------------------------------------------------------------
+ 
+-PKG_CHECK_MODULES(COLOR, [colord >= 0.1.27 cinnamon-desktop >= $CINNAMON_DESKTOP_REQUIRED_VERSION libcanberra-gtk3])
++AC_ARG_ENABLE(color,
++              AS_HELP_STRING([--disable-color], [disable Colord support (default: enabled)]),,
++              enable_color=yes)
++build_color=false
++if test x"$enable_color" != x"no" ; then
++  PKG_CHECK_MODULES(COLOR, [colord >= 0.1.27 cinnamon-desktop >= $CINNAMON_DESKTOP_REQUIRED_VERSION libcanberra-gtk3])
++  build_color=true
++fi
++
++AM_CONDITIONAL(BUILD_COLOR, [test "x$build_color" = "xtrue"])
+ 
+ dnl ---------------------------------------------------------------------------
+ dnl - wacom
+ dnl ---------------------------------------------------------------------------
++AC_ARG_ENABLE(wacom,
++              AS_HELP_STRING([--disable-wacom], [disable Wacom support (default: auto)]),,
++              enable_wacom=auto)
+ build_wacom=false
+-PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst gudev-1.0 cinnamon-desktop xorg-wacom librsvg-2.0 >= $LIBRSVG_REQUIRED_VERSION gtk+-3.0 >= 3.8.0],
+-                  [build_wacom="true" AC_DEFINE(HAVE_WACOM, 1, [Define if wacom is being build])], [build_wacom="false"])
++if test x"$enable_wacom" != x"no" ; then
++  PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst gudev-1.0 cinnamon-desktop xorg-wacom librsvg-2.0 >= $LIBRSVG_REQUIRED_VERSION gtk+-3.0 >= 3.8.0],
++                    [build_wacom="true" AC_DEFINE(HAVE_WACOM, 1, [Define if wacom is being build])], [build_wacom="false"])
++fi
+ 
+ AM_CONDITIONAL(BUILD_WACOM, test "x$build_wacom" = "xtrue")
+ 
+@@ -372,9 +386,15 @@
+ dnl Check for logind
+ dnl ====================================================================
+ 
+-PKG_CHECK_MODULES(LOGIND, [libsystemd-login], [have_logind=yes], [
+- PKG_CHECK_MODULES(LOGIND, [libsystemd], [have_logind=yes], [have_logind=no])
+-])
++AC_ARG_ENABLE([logind],
++              AS_HELP_STRING([--disable-logind], [Do not check for logind]),
++              [enable_logind=$enableval],
++              [enable_logind=auto])
++
++have_logind=no
++if test x$enable_logind != xno ; then
++    PKG_CHECK_MODULES(LOGIND, [libsystemd-login], [have_logind=yes], [have_logind=no])
++fi
+ 
+ if test x$have_logind = xyes; then
+     AC_DEFINE(HAVE_LOGIND, 1, [Define if logind is supported])
+@@ -595,6 +615,7 @@
+         LCMS DICT support:        ${have_new_lcms}
+         Libnotify support:        ${have_libnotify}
+ 
++        Colord support:           ${build_color}
+         Wacom support:            ${build_wacom}
+ 
+         Smartcard support:        ${have_smartcard_support}
+--- a/plugins/Makefile.am~	2016-05-10 17:30:40.000000000 +0200
++++ b/plugins/Makefile.am	2016-06-25 17:44:30.021307677 +0200
+@@ -6,7 +6,6 @@
+ 	automount	\
+ 	background  \
+ 	clipboard	\
+-	color		\
+ 	cursor		\
+ 	dummy		\
+     datetime    \
+@@ -23,6 +22,12 @@
+ 
+ disabled_plugins = $(NULL)
+ 
++if BUILD_COLOR
++enabled_plugins += color
++else
++disabled_plugins += color
++endif
++
+ if BUILD_WACOM
+ enabled_plugins += wacom
+ else


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnome-extra/cinnamon-settings-daemon/files/, ...
@ 2018-07-31  8:38 Kristian Fiskerstrand
  0 siblings, 0 replies; 5+ messages in thread
From: Kristian Fiskerstrand @ 2018-07-31  8:38 UTC (permalink / raw
  To: gentoo-commits

commit:     1fa48e6948b3b979443b740baeb351d2d6b0816f
Author:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  4 10:48:37 2018 +0000
Commit:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
CommitDate: Tue Jul 31 08:34:32 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fa48e69

gnome-extra/cinnamon-settings-daemon: New upstream version 3.8.4

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 gnome-extra/cinnamon-settings-daemon/Manifest      |  1 +
 .../cinnamon-settings-daemon-3.8.4.ebuild          | 87 ++++++++++++++++++++++
 ...amon-settings-daemon-3.8.0-accountservice.patch | 57 ++++++++++++++
 3 files changed, 145 insertions(+)

diff --git a/gnome-extra/cinnamon-settings-daemon/Manifest b/gnome-extra/cinnamon-settings-daemon/Manifest
index 587df8d1630..509210bf4f7 100644
--- a/gnome-extra/cinnamon-settings-daemon/Manifest
+++ b/gnome-extra/cinnamon-settings-daemon/Manifest
@@ -1 +1,2 @@
 DIST cinnamon-settings-daemon-3.6.1.tar.gz 995005 BLAKE2B c512fe53b707099dca0926893f03056d508bbe22026367c3212a99f22df60d629e02e080fccdeb73151c7aa7e93396b47bede1820059f4a53eace11a56ae5521 SHA512 48a28decff08a191f4ec604386c3bb5c07001d4bc4f7b6d1da379626b41650653fdd14205bbed5321c41fbc281e8638b17e1de30dbba5d299f79cde03216cb33
+DIST cinnamon-settings-daemon-3.8.4.tar.gz 660607 BLAKE2B 1db6e8677c9f9e1fc649d29b3de46d2797f01dbaad3a907329eb6781c6c4ec17706d06045ae230315c7802a5ea176dda73dfcd437fd07e3398ad732e96240a83 SHA512 5bd91e781d47413b50b69b6a8d4cbe9060579452db7408d375f01b05b4070caa684d333ef875a7dda85d1acad3442cddd38e13167fa198e3a5540fef7bedfb75

diff --git a/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-3.8.4.ebuild b/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-3.8.4.ebuild
new file mode 100644
index 00000000000..538687301a2
--- /dev/null
+++ b/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-3.8.4.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2 virtualx
+
+DESCRIPTION="Cinnamon's settings daemon"
+HOMEPAGE="http://cinnamon.linuxmint.com/"
+SRC_URI="https://github.com/linuxmint/cinnamon-settings-daemon/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+colord cups input_devices_wacom smartcard systemd"
+RESTRICT=test
+
+# udev is non-optional since lots of plugins, not just gudev, pull it in
+RDEPEND="
+	>=dev-libs/glib-2.38:2
+	>=gnome-base/libgnomekbd-3.6
+	>=gnome-base/librsvg-2.36.2
+	>=gnome-extra/cinnamon-desktop-2.8.0:0=
+	media-libs/fontconfig
+	>=media-libs/lcms-2.2:2
+	media-libs/libcanberra:0=[gtk3]
+	sys-apps/dbus
+	>=sys-auth/polkit-0.97
+	x11-libs/gdk-pixbuf:2
+	>=x11-libs/gtk+-3.9.10:3
+	>=x11-libs/libnotify-0.7.3:0=
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXi
+	x11-libs/libxklavier
+	virtual/libgudev:=
+	>=sys-power/upower-0.9.11
+
+	colord? ( >=x11-misc/colord-0.1.27:= )
+	cups? ( >=net-print/cups-1.4[dbus] )
+	input_devices_wacom? (
+		>=dev-libs/libwacom-0.7
+		x11-drivers/xf86-input-wacom
+		x11-libs/libXtst )
+	smartcard? ( >=dev-libs/nss-3.11.2 )
+	systemd? ( sys-apps/systemd:0= )
+	!systemd? (	sys-auth/elogind:0= )
+"
+DEPEND="${RDEPEND}
+	dev-libs/libxml2:2
+	>=dev-util/intltool-0.37.1
+	x11-base/xorg-proto
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	# make colord and wacom optional
+	eapply "${FILESDIR}"/${PN}-3.0.1-optional.patch
+	eapply "${FILESDIR}"/${PN}-3.8.0-accountservice.patch
+
+	# Disable broken test
+	sed -e '/g_test_add_func ("\/color\/edid/d' \
+		-i plugins/color/gcm-self-test.c || die
+
+	eautoreconf
+	gnome2_src_prepare
+}
+
+src_configure() {
+	# no point in disabling gudev since other plugins pull it in
+	gnome2_src_configure \
+		--disable-static \
+		--enable-gudev \
+		--enable-polkit \
+		--enable-logind \
+		--disable-accountservice \
+		$(use_enable colord color) \
+		$(use_enable cups) \
+		$(use_enable smartcard smartcard-support) \
+		$(use_enable input_devices_wacom wacom)
+}
+
+src_test() {
+	virtx emake check
+}

diff --git a/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-3.8.0-accountservice.patch b/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-3.8.0-accountservice.patch
new file mode 100644
index 00000000000..c12f2730cea
--- /dev/null
+++ b/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-3.8.0-accountservice.patch
@@ -0,0 +1,57 @@
+From 15b1c1488f28e69cee86ff25bf0c95ebf5245add Mon Sep 17 00:00:00 2001
+From: Kristian Fiskerstrand <kf@sumptuouscapital.com>
+Date: Sat, 30 Jun 2018 22:35:52 +0200
+Subject: [PATCH] Make account service optional
+
+---
+ configure.ac                                | 6 ++++++
+ plugins/background/csd-background-manager.c | 4 ++--
+ 2 files changed, 8 insertions(+), 2 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index af5d3a4..a30126e 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -166,6 +166,12 @@ else
+ fi
+ AM_CONDITIONAL(HAVE_GUDEV, test x$have_gudev = xyes)
+ 
++AC_ARG_ENABLE(accountservice, AS_HELP_STRING([--disable-accountservice],[Disable accountservice]), enable_accountservice=$enableval)
++
++if test x$enable_accountservice = "xyes"; then
++	AC_DEFINE(HAVE_ACCOUNTSERVICE, 1, [define if accountservice is available])
++fi
++
+ dnl ---------------------------------------------------------------------------
+ dnl - common
+ dnl ---------------------------------------------------------------------------
+diff --git a/plugins/background/csd-background-manager.c b/plugins/background/csd-background-manager.c
+index 282094a..a692c6e 100644
+--- a/plugins/background/csd-background-manager.c
++++ b/plugins/background/csd-background-manager.c
+@@ -135,9 +135,9 @@ settings_change_event_cb (GSettings            *settings,
+ {
+         gnome_bg_load_from_preferences (manager->priv->bg,
+                                         manager->priv->settings);
+-
++#ifdef HAVE_ACCOUNTSERVICE
+         gnome_bg_set_accountsservice_background (gnome_bg_get_filename (manager->priv->bg));
+-
++#endif
+         return FALSE;
+ }
+
+diff --git a/plugins/background/csd-background-manager.c
+b/plugins/background/csd-background-manager.c
+index a692c6e..a99b478 100644
+--- a/plugins/background/csd-background-manager.c
++++ b/plugins/background/csd-background-manager.c
+@@ -186,8 +186,9 @@ setup_bg (CsdBackgroundManager *manager)
+         watch_bg_preferences (manager);
+         gnome_bg_load_from_preferences (manager->priv->bg,
+                                         manager->priv->settings);
+-
++#ifdef HAVE_ACCOUNTSERVICE
+         gnome_bg_set_accountsservice_background (gnome_bg_get_filename (manager->priv->bg));
++#endif
+ }


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnome-extra/cinnamon-settings-daemon/files/, ...
@ 2020-05-29  0:11 Matt Turner
  0 siblings, 0 replies; 5+ messages in thread
From: Matt Turner @ 2020-05-29  0:11 UTC (permalink / raw
  To: gentoo-commits

commit:     513af20d19b76dd314b3abf4fd9f6e7c3d2a9cae
Author:     Matthew Turnbull <sparky <AT> bluefang-logic <DOT> com>
AuthorDate: Wed May 13 02:58:30 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri May 29 00:10:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=513af20d

gnome-extra/cinnamon-settings-daemon: 4.4.0 version bump

Update cinnamon-settings-daemon to 4.4.0. CUPS dependencies
belong here instead of cinnamon-control-center. Include
patch to fix systemd detection.

Bug: https://bugs.gentoo.org/704532
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Matthew S. Turnbull <sparky <AT> bluefang-logic.com>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 gnome-extra/cinnamon-settings-daemon/Manifest      |  1 +
 .../cinnamon-settings-daemon-4.4.0.ebuild          | 92 ++++++++++++++++++++++
 .../cinnamon-settings-daemon-4.4.0-systemd.patch   | 36 +++++++++
 gnome-extra/cinnamon-settings-daemon/metadata.xml  |  8 ++
 4 files changed, 137 insertions(+)

diff --git a/gnome-extra/cinnamon-settings-daemon/Manifest b/gnome-extra/cinnamon-settings-daemon/Manifest
index b8caf111fdc..92b72ec7d11 100644
--- a/gnome-extra/cinnamon-settings-daemon/Manifest
+++ b/gnome-extra/cinnamon-settings-daemon/Manifest
@@ -1 +1,2 @@
 DIST cinnamon-settings-daemon-4.0.2.tar.gz 662735 BLAKE2B 158e2ee120e2b359c6d84aa52c6b2c9214148fcf48cdc8ed9c777344f21ce82b5c3e4d0b358046abb1de8fc23a43b7cced02b77b43c1230fc2d97db58423e125 SHA512 3e51628339ae7766c37090c82a7550e2f925843ca62ef9cca606568c9771a8f16035735b3db612aae0938553fd37fb6eaf8d30437baa501160221d1b71d0e94e
+DIST cinnamon-settings-daemon-4.4.0.tar.gz 665615 BLAKE2B ef0666864a4735ff32d57a584004176c74d0f0ad4b077d3439e135c1d24c8d0606221a1b1693a0189972b462055478680b03917a6acfcdfdc80649f7ee0fc224 SHA512 dc4b0c570b345577bd20e85b44f4c99c3e3c88a2c2aea7c928e1fae931dc4dc07c6dd64c5917661434d35e3ae606c8189c3f77e0658925b5cc6ba2dc1885cb81

diff --git a/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-4.4.0.ebuild b/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-4.4.0.ebuild
new file mode 100644
index 00000000000..674a8d9e562
--- /dev/null
+++ b/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-4.4.0.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2 virtualx
+
+DESCRIPTION="Cinnamon's settings daemon"
+HOMEPAGE="https://projects.linuxmint.com/cinnamon/"
+SRC_URI="https://github.com/linuxmint/cinnamon-settings-daemon/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+colord cups input_devices_wacom smartcard systemd"
+RESTRICT=test
+
+# udev is non-optional since lots of plugins, not just gudev, pull it in
+RDEPEND="
+	>=dev-libs/glib-2.38:2
+	dev-libs/libgudev:=
+	>=gnome-base/libgnomekbd-3.6
+	>=gnome-extra/cinnamon-desktop-4.4:0=
+	media-libs/fontconfig
+	>=media-libs/lcms-2.2:2
+	media-libs/libcanberra:0=[gtk3]
+	>=sys-apps/dbus-1.1.2
+	>=sys-auth/polkit-0.97
+	x11-libs/gdk-pixbuf:2
+	>=x11-libs/gtk+-3.9.10:3
+	>=x11-libs/libnotify-0.7.3:0=
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXi
+	>=x11-libs/libxklavier-5.0
+	>=sys-power/upower-0.9.11
+
+	colord? ( >=x11-misc/colord-0.1.27:= )
+	cups? (
+		>=net-print/cups-1.4[dbus]
+		app-admin/system-config-printer
+		net-print/cups-pk-helper )
+	input_devices_wacom? (
+		>=dev-libs/libwacom-0.7
+		>=gnome-base/librsvg-2.36.2
+		x11-drivers/xf86-input-wacom
+		x11-libs/libXtst )
+	smartcard? ( >=dev-libs/nss-3.11.2 )
+	systemd? ( sys-apps/systemd:0= )
+	!systemd? ( sys-auth/elogind:0= )
+"
+DEPEND="${RDEPEND}
+	dev-util/gdbus-codegen
+	dev-libs/libxml2:2
+	>=dev-util/intltool-0.37.1
+	x11-base/xorg-proto
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	# make colord and wacom optional
+	eapply "${FILESDIR}"/${PN}-3.0.1-optional.patch
+	eapply "${FILESDIR}"/${PN}-3.8.0-accountservice.patch
+	eapply "${FILESDIR}"/${PN}-4.4.0-systemd.patch
+
+	# Disable broken test
+	sed -e '/g_test_add_func ("\/color\/edid/d' \
+		-i plugins/color/gcm-self-test.c || die
+
+	eautoreconf
+	gnome2_src_prepare
+}
+
+src_configure() {
+	# no point in disabling gudev since other plugins pull it in
+	gnome2_src_configure \
+		--disable-static \
+		--enable-gudev \
+		--enable-polkit \
+		--enable-logind \
+		--disable-accountservice \
+		$(use_enable colord color) \
+		$(use_enable cups) \
+		$(use_enable smartcard smartcard-support) \
+		$(use_enable input_devices_wacom wacom)
+}
+
+src_test() {
+	virtx emake check
+}

diff --git a/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-4.4.0-systemd.patch b/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-4.4.0-systemd.patch
new file mode 100644
index 00000000000..90b63731f87
--- /dev/null
+++ b/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-4.4.0-systemd.patch
@@ -0,0 +1,36 @@
+From 4c19a41429524a2da202b919a335a646103da0fd Mon Sep 17 00:00:00 2001
+From: Leigh Scott <leigh123linux@gmail.com>
+Date: Wed, 11 Dec 2019 23:29:08 +0000
+Subject: [PATCH] Restore old check for logind
+
+---
+ cinnamon-settings-daemon/cinnamon-settings-session.c | 2 +-
+ plugins/common/csd-power-helper.c                    | 2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/cinnamon-settings-daemon/cinnamon-settings-session.c b/cinnamon-settings-daemon/cinnamon-settings-session.c
+index adbe1e7..4d52b21 100644
+--- a/cinnamon-settings-daemon/cinnamon-settings-session.c
++++ b/cinnamon-settings-daemon/cinnamon-settings-session.c
+@@ -378,7 +378,7 @@ cinnamon_settings_session_init (CinnamonSettingsSession *session)
+ 	session->priv = CINNAMON_SETTINGS_SESSION_GET_PRIVATE (session);
+ 
+ #ifdef HAVE_LOGIND
+-    if (access("/run/systemd/system/", F_OK) == 0) {    // sd_booted ()
++    if (access("/run/systemd/seats/", F_OK) == 0) {    // sd_booted ()
+         sd_pid_get_session (getpid(), &session->priv->session_id);
+         session->priv->sd_source = sd_source_new ();
+         g_source_set_callback (session->priv->sd_source, sessions_changed, session, NULL);
+diff --git a/plugins/common/csd-power-helper.c b/plugins/common/csd-power-helper.c
+index 5a83072..82c0b22 100644
+--- a/plugins/common/csd-power-helper.c
++++ b/plugins/common/csd-power-helper.c
+@@ -41,7 +41,7 @@ use_logind (void)
+     static gsize once_init_value = 0;
+ 
+     if (g_once_init_enter (&once_init_value)) {
+-        should_use_logind = access("/run/systemd/system/", F_OK) == 0; // sd_booted ()
++        should_use_logind = access("/run/systemd/seats/", F_OK) == 0; // sd_booted ()
+ 
+         g_once_init_leave (&once_init_value, 1);
+     }

diff --git a/gnome-extra/cinnamon-settings-daemon/metadata.xml b/gnome-extra/cinnamon-settings-daemon/metadata.xml
index da9442eb021..966474ecf7b 100644
--- a/gnome-extra/cinnamon-settings-daemon/metadata.xml
+++ b/gnome-extra/cinnamon-settings-daemon/metadata.xml
@@ -5,6 +5,14 @@
 		<email>cinnamon@gentoo.org</email>
 		<name>Cinnamon Project</name>
 	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<maintainer type="person">
+		<email>sparky@bluefang-logic.com</email>
+		<name>Matthew Turnbull</name>
+	</maintainer>
 	<upstream>
 		<remote-id type="github">linuxmint/cinnamon-settings-daemon</remote-id>
 	</upstream>


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnome-extra/cinnamon-settings-daemon/files/, ...
@ 2022-01-21 17:15 Sam James
  0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2022-01-21 17:15 UTC (permalink / raw
  To: gentoo-commits

commit:     428009c4f7d1d375ee6997288934c2b4a4922dee
Author:     Matthew S. Turnbull <sparky <AT> bluefang-logic <DOT> com>
AuthorDate: Tue Dec 28 04:17:43 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 21 17:13:48 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=428009c4

gnome-extra/cinnamon-settings-daemon: Remove old

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Matthew S. Turnbull <sparky <AT> bluefang-logic.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnome-extra/cinnamon-settings-daemon/Manifest      |   1 -
 .../cinnamon-settings-daemon-4.8.5.ebuild          | 101 ---------------
 ...innamon-settings-daemon-4.8.5-build-fixes.patch | 140 ---------------------
 3 files changed, 242 deletions(-)

diff --git a/gnome-extra/cinnamon-settings-daemon/Manifest b/gnome-extra/cinnamon-settings-daemon/Manifest
index ac6f9ba8144e..46679822f1f0 100644
--- a/gnome-extra/cinnamon-settings-daemon/Manifest
+++ b/gnome-extra/cinnamon-settings-daemon/Manifest
@@ -1,2 +1 @@
-DIST cinnamon-settings-daemon-4.8.5.tar.gz 662123 BLAKE2B b3ddd72e55c10c2cacc6dd29145e381395bd2ef68db7082a0770bb3eb647964041ed023d4a8357f2adcf5e8c9f8f713bac837809ed5926cc0434c2dc3e5c90ad SHA512 4a1d128b3f6faf3e2c13420d3569d4fd8cfaa1798ba5cf83fcb692662b9888d22f9f4bfb6fe18af59d0632583a2730a07e3ab48cca12c357b2d318d205fd7d0a
 DIST cinnamon-settings-daemon-5.0.4.tar.gz 663647 BLAKE2B 459ca8b407291e7a84742b75a272a621d05ef1929ec76dd913af477629db862429165cec26a5985c75f81ce8eaddccc6b74cfa882106784bbfb40e015a21bab8 SHA512 861847fb238ae53fdb31c55ab7f8475f3cad9b48a5dd3611e5ea05129e16b44cc48b3ff5d38c2fdcc3669191f952bf194b6bcba80816fb4daee9e91d85b1c781

diff --git a/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-4.8.5.ebuild b/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-4.8.5.ebuild
deleted file mode 100644
index f28af6802a1c..000000000000
--- a/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-4.8.5.ebuild
+++ /dev/null
@@ -1,101 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9} )
-
-inherit meson gnome2-utils python-any-r1 xdg
-
-DESCRIPTION="Cinnamon's settings daemon"
-HOMEPAGE="https://projects.linuxmint.com/cinnamon/ https://github.com/linuxmint/cinnamon-settings-daemon"
-SRC_URI="https://github.com/linuxmint/cinnamon-settings-daemon/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE="+colord cups input_devices_wacom smartcard systemd"
-
-RDEPEND="
-	>=dev-libs/glib-2.40.0:2
-	dev-libs/libgudev:=
-	>=gnome-base/libgnomekbd-3.6
-	>=gnome-extra/cinnamon-desktop-4.8:0=
-	media-libs/fontconfig
-	>=media-libs/lcms-2.2:2
-	media-libs/libcanberra:0=[gtk3,pulseaudio]
-	>=media-sound/pulseaudio-0.9.16[glib]
-	>=sys-apps/dbus-1.1.2
-	dev-libs/dbus-glib
-	>=sys-auth/polkit-0.97
-	x11-libs/gdk-pixbuf:2
-	>=x11-libs/gtk+-3.14.0:3
-	>=x11-libs/libnotify-0.7.3:0=
-	x11-libs/libX11
-	x11-libs/libXext
-	x11-libs/libXfixes
-	x11-libs/libXi
-	>=x11-libs/libxklavier-5.0
-	>=sys-power/upower-0.9.11
-
-	colord? ( >=x11-misc/colord-0.1.27:= )
-	cups? (
-		>=net-print/cups-1.4[dbus]
-		app-admin/system-config-printer
-		net-print/cups-pk-helper )
-	input_devices_wacom? (
-		>=dev-libs/libwacom-0.7
-		>=gnome-base/librsvg-2.36.2
-		x11-drivers/xf86-input-wacom
-		x11-libs/libXtst )
-	smartcard? ( >=dev-libs/nss-3.11.2 )
-	systemd? ( sys-apps/systemd:0= )
-	!systemd? ( sys-auth/elogind:0= )
-"
-DEPEND="
-	${RDEPEND}
-	dev-libs/libxml2:2
-	x11-base/xorg-proto
-"
-BDEPEND="
-	${PYTHON_DEPS}
-	dev-util/glib-utils
-	dev-util/gdbus-codegen
-	>=dev-util/intltool-0.37.1
-	virtual/pkgconfig
-"
-
-PATCHES=(
-	# Miscellaneous meson configuration/compilation fixes
-	# https://github.com/linuxmint/cinnamon-settings-daemon/pull/314
-	"${FILESDIR}/${PN}-4.8.5-build-fixes.patch"
-)
-
-src_prepare() {
-	default
-	python_fix_shebang install-scripts
-}
-
-src_configure() {
-	# gudev not optional on Linux platforms
-	local emesonargs=(
-		-Duse_gudev=enabled
-		-Duse_polkit=enabled
-		-Duse_logind=enabled
-		$(meson_feature colord use_color)
-		$(meson_feature cups use_cups)
-		$(meson_feature smartcard use_smartcard)
-		$(meson_feature input_devices_wacom use_wacom)
-	)
-	meson_src_configure
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-	gnome2_schemas_update
-}
-
-pkg_postrm() {
-	xdg_pkg_postrm
-	gnome2_schemas_update
-}

diff --git a/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-4.8.5-build-fixes.patch b/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-4.8.5-build-fixes.patch
deleted file mode 100644
index f70d1e544e94..000000000000
--- a/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-4.8.5-build-fixes.patch
+++ /dev/null
@@ -1,140 +0,0 @@
-From 281bc6b8e0085a91b7e59af45469c4da397646c2 Mon Sep 17 00:00:00 2001
-From: Sparky Bluefang <sparky@bluefang-logic.com>
-Date: Mon, 28 Dec 2020 17:05:21 -0500
-Subject: [PATCH] build: Add missing defines. Fix optional wacom build. Make
- build options behave consistently.
-
----
- meson.build                | 20 ++++++++++++--------
- meson_options.txt          | 14 ++++++++++----
- plugins/meson.build        |  2 +-
- plugins/xrandr/meson.build |  1 +
- 4 files changed, 24 insertions(+), 13 deletions(-)
-
-diff --git a/meson.build b/meson.build
-index 0e11d50..0d6c35a 100644
---- a/meson.build
-+++ b/meson.build
-@@ -9,6 +9,7 @@ pkgname = meson.project_name().to_lower()
- api_version = '3.0'
- 
- cc = meson.get_compiler('c')
-+cargs = []
- 
- # directories
- prefix = get_option('prefix')
-@@ -43,7 +44,7 @@ endif
- cinnamon_desktop_required = '>= 4.8.0'
- canberra = dependency('libcanberra-gtk3')
- cinnamon_desktop = dependency('cinnamon-desktop', version: cinnamon_desktop_required)
--colord = dependency('colord', version: '>= 0.1.27')
-+colord = dependency('colord', version: '>= 0.1.27', required: get_option('use_color'))
- cups = dependency('cups', version: '>= 1.4', required: get_option('use_cups'))
- cvc = dependency('cvc', version: cinnamon_desktop_required)
- fontconfig = dependency('fontconfig')
-@@ -56,13 +57,13 @@ gtk = dependency('gtk+-3.0', version: '>= 3.14.0')
- gudev = dependency('gudev-1.0', required: get_option('use_gudev'))
- libnotify = dependency('libnotify', version: '>= 0.7.3')
- kbproto = dependency('kbproto')
--nss = dependency('nss', version: '>= 3.11.2', required: get_option('enable_smartcard'))
-+nss = dependency('nss', version: '>= 3.11.2', required: get_option('use_smartcard'))
- polkit = dependency('polkit-gobject-1', version: '>= 0.97', required: get_option('use_polkit'))
- pulse_required = '>= 0.9.16'
- pulse = dependency('libpulse', version: pulse_required)
- pulse_glib = dependency('libpulse-mainloop-glib', version: pulse_required)
- upower_glib = dependency('upower-glib', version: '>= 0.9.11')
--wacom = dependency('libwacom', version: '>= 0.7', required: false)
-+wacom = dependency('libwacom', version: '>= 0.7', required: get_option('use_wacom'))
- x11 = dependency('x11')
- xext = dependency('xext')
- xfixes = dependency('xfixes')
-@@ -80,13 +81,12 @@ librsvg = dependency('librsvg-2.0', version: '>= 2.36.2', required: wacom.found(
- xorg_wacom = dependency('xorg-wacom', required: wacom.found())
- 
- lcms = dependency('lcms2', version: '>= 2.2', required: false)
--has_new_lcms = lcms.found()
--if not has_new_lcms
--    lcms = dependency('lcms2')
-+if lcms.found()
-+    cargs += '-DHAVE_NEW_LCMS'
-+else
-+    lcms = dependency('lcms2', required: colord.found())
- endif
- 
--cargs = []
--
- using_logind = false
- if not get_option('use_logind').disabled()
-     logind = dependency('libsystemd-logind', required: false)
-@@ -125,6 +125,10 @@ if gudev.found()
-     cargs += '-DHAVE_GUDEV'
- endif
- 
-+if wacom.found()
-+    cargs += '-DHAVE_WACOM'
-+endif
-+
- if not get_option('enable_debug')
-     cargs += [
-           '-Wno-deprecated-declarations',
-diff --git a/meson_options.txt b/meson_options.txt
-index 0a6941b..e3c89f3 100644
---- a/meson_options.txt
-+++ b/meson_options.txt
-@@ -35,20 +35,26 @@ option(
-     description: 'Whether cups (and therefore the print notifications plugin) support should be enabled'
- )
- option(
--    'enable_smartcard',
-+    'use_smartcard',
-     type: 'feature',
-     value: 'enabled',
-     description: 'Set to false to disable smartcard support'
- )
- option(
-     'use_color',
--    type: 'boolean',
--    value: true,
-+    type: 'feature',
-+    value: 'enabled',
-     description: 'Whether the color plugin should be enabled'
- )
-+option(
-+    'use_wacom',
-+    type: 'feature',
-+    value: 'auto',
-+    description: 'Whether the wacom plugin should be enabled'
-+)
- option(
-     'enable_debug',
-     type: 'boolean',
-     value: false,
-     description: 'Show additional build warnings'
--)
-\ No newline at end of file
-+)
-diff --git a/plugins/meson.build b/plugins/meson.build
-index 0d11a52..069366d 100644
---- a/plugins/meson.build
-+++ b/plugins/meson.build
-@@ -24,7 +24,7 @@ subdir('sound')
- subdir('xrandr')
- subdir('xsettings')
- 
--if get_option('use_color')
-+if colord.found()
-     subdir('color')
- endif
- 
-diff --git a/plugins/xrandr/meson.build b/plugins/xrandr/meson.build
-index db2bf73..3296f1a 100644
---- a/plugins/xrandr/meson.build
-+++ b/plugins/xrandr/meson.build
-@@ -11,6 +11,7 @@ xrandr_deps = [
-     csd_dep,
-     libnotify,
-     upower_glib,
-+    wacom,
-     xfixes,
- ]
- 


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnome-extra/cinnamon-settings-daemon/files/, ...
@ 2024-03-17  3:16 Sam James
  0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2024-03-17  3:16 UTC (permalink / raw
  To: gentoo-commits

commit:     61dc69e3f082efdfab09d88623449dc5969a7eb9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 17 03:11:59 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Mar 17 03:11:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61dc69e3

gnome-extra/cinnamon-settings-daemon: fix modern C issue

Closes: https://bugs.gentoo.org/919084
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../cinnamon-settings-daemon-6.0.0-r1.ebuild       | 99 ++++++++++++++++++++++
 .../files/cinnamon-settings-daemon-6.0.0-c99.patch | 26 ++++++
 2 files changed, 125 insertions(+)

diff --git a/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-6.0.0-r1.ebuild b/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-6.0.0-r1.ebuild
new file mode 100644
index 000000000000..dffa7e4efb41
--- /dev/null
+++ b/gnome-extra/cinnamon-settings-daemon/cinnamon-settings-daemon-6.0.0-r1.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit meson gnome2-utils python-any-r1 xdg
+
+DESCRIPTION="Cinnamon's settings daemon"
+HOMEPAGE="https://projects.linuxmint.com/cinnamon/ https://github.com/linuxmint/cinnamon-settings-daemon"
+SRC_URI="https://github.com/linuxmint/cinnamon-settings-daemon/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+ LGPL-2+ LGPL-2.1 LGPL-2.1+ MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="+colord cups input_devices_wacom smartcard systemd wayland"
+
+RDEPEND="
+	>=dev-libs/glib-2.40.0:2[dbus]
+	dev-libs/libgudev
+	>=gnome-base/libgnomekbd-3.6:=
+	>=gnome-extra/cinnamon-desktop-6.0:0=
+	media-libs/fontconfig
+	>=media-libs/lcms-2.2:2
+	media-libs/libcanberra[gtk3,pulseaudio]
+	>=media-libs/libpulse-0.9.16[glib]
+	>=sys-auth/polkit-0.97
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf:2
+	>=x11-libs/gtk+-3.14.0:3[wayland=]
+	>=x11-libs/libnotify-0.7.3
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXi
+	>=x11-libs/libxklavier-5.0:=
+	>=x11-libs/pango-1.20.0
+	>=sys-power/upower-0.9.11:=
+
+	colord? ( >=x11-misc/colord-0.1.27:= )
+	cups? (
+		>=net-print/cups-1.4[dbus]
+		app-admin/system-config-printer
+		net-print/cups-pk-helper )
+	input_devices_wacom? (
+		>=dev-libs/libwacom-0.7:=
+		>=gnome-base/librsvg-2.36.2 )
+	smartcard? (
+		dev-libs/nspr
+		>=dev-libs/nss-3.11.2
+	)
+	systemd? ( sys-apps/systemd:0= )
+	!systemd? ( sys-auth/elogind )
+"
+DEPEND="
+	${RDEPEND}
+	dev-libs/libxml2:2
+	x11-base/xorg-proto
+"
+BDEPEND="
+	${PYTHON_DEPS}
+	dev-util/glib-utils
+	dev-util/gdbus-codegen
+	virtual/pkgconfig
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-6.0.0-c99.patch
+)
+
+src_prepare() {
+	default
+	python_fix_shebang install-scripts
+}
+
+src_configure() {
+	# gudev not optional on Linux platforms
+	local emesonargs=(
+		-Duse_gudev=enabled
+		-Duse_polkit=enabled
+		-Duse_logind=enabled
+		$(meson_feature colord use_color)
+		$(meson_feature cups use_cups)
+		$(meson_feature smartcard use_smartcard)
+		$(meson_feature input_devices_wacom use_wacom)
+	)
+	meson_src_configure
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}

diff --git a/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-6.0.0-c99.patch b/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-6.0.0-c99.patch
new file mode 100644
index 000000000000..36ce9365a554
--- /dev/null
+++ b/gnome-extra/cinnamon-settings-daemon/files/cinnamon-settings-daemon-6.0.0-c99.patch
@@ -0,0 +1,26 @@
+https://bugs.gentoo.org/919084
+https://github.com/linuxmint/cinnamon-settings-daemon/commit/48da3c4763bea93ea3e1d2ba2e2dfdb7f41d8afc
+
+From 48da3c4763bea93ea3e1d2ba2e2dfdb7f41d8afc Mon Sep 17 00:00:00 2001
+From: Leigh Scott <leigh123linux@gmail.com>
+Date: Mon, 5 Feb 2024 16:07:03 +0000
+Subject: [PATCH] Fix compile issue (#386)
+
+(Warning becomes an error due to gcc 14 changes)
+--- a/plugins/keyboard/gkbd-configuration.c
++++ b/plugins/keyboard/gkbd-configuration.c
+@@ -340,11 +340,11 @@ gkbd_configuration_get_xkl_engine (GkbdConfiguration *configuration)
+ const char * const *
+ gkbd_configuration_get_group_names (GkbdConfiguration *configuration)
+ {
+-	return configuration->priv->full_group_names;
++	return (const char * const *)configuration->priv->full_group_names;
+ }
+ 
+ const char * const *
+ gkbd_configuration_get_short_group_names (GkbdConfiguration *configuration)
+ {
+-	return configuration->priv->short_group_names;
++	return (const char * const *)configuration->priv->short_group_names;
+ }
+


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2024-03-17  3:16 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-01-21 17:15 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/cinnamon-settings-daemon/files/, Sam James
  -- strict thread matches above, loose matches on Subject: below --
2024-03-17  3:16 Sam James
2020-05-29  0:11 Matt Turner
2018-07-31  8:38 Kristian Fiskerstrand
2016-06-25 16:53 Pacho Ramos

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox